.btn-checkbox {
    display: block;
    font-weight: 400;
    position: relative;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + span {
            border-color: var(--orange);

            &:before {
                border-color: var(--orange);
            }

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    > span {
        height: rem(42);
        cursor: pointer;
        position: relative;
        border-radius: rem(4);
        background-color: #222;
        border: 1px solid #222;
        padding: rem(4) rem(12) rem(4) rem(36);
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:before {
            left: 14px;
            top: calc(50% - 6px);
            width: 12px;
            height: 12px;
            content: '';
            position: absolute;
            border-radius: 50%;
            border: 1px solid white;
            transition: var(--transition-time);
        }

        &:after {
            left: 17px;
            top: calc(50% - 3px);
            width: 6px;
            height: 6px;
            content: '';
            position: absolute;
            border-radius: 50%;
            background-color: var(--orange);
            transition: var(--transition-time);
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            z-index: 200;
            border-color: var(--orange);
            transition: var(--transition-time);

            > span {
                z-index: 200;
            }
        }
    }

    &--gray {

        > span {
            background-color: #353535;
            border-color: #353535;
        }
    }
}

